<template>
  <div v-if="isOpen" class="popup" @click.self="toggleOpen">
    <div class="close" @click="toggleOpen">
        <svg width="27" height="27" viewBox="0 0 27 27" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M2 25.5L25.5 2M25.5 25.5L2 2" stroke="white" stroke-opacity="1" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
        </svg>
      </div>
    <div class="popup-wrapp">
      
      <slider-images v-if="type === 'images'" :images="images" :arrows-bottom="isMob" :arrows-center="!isMob" :index-img-start="indexImgStart" />

      <iframe
        v-if="type === 'video'"
        width="560"
        height="315"
        :src="`https://www.youtube.com/embed/${videoLink}`"
        title="YouTube video player"
        frameborder="0"
        allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
        allowfullscreen
      ></iframe>
      <v-form v-if="type === 'form'" :content="formContent" :isMenuForm="isMenuForm" :messages="formMessage"/>
    </div>
  </div>
</template>

<script>
import SliderImages from "./SliderImages.vue";
import VForm from './VForm.vue';
import {noScroll} from '../main'



export default {
  components: {
    SliderImages,
    VForm,
  },
  props: {
    type: { type: String, default: "images" },
    videoLink: { type: String },
    open: { type: Boolean, default: false },
    images: { type: Array },
    indexImgStart: {type: Number, default: 0},
    formContent: {type: Object},
    isMenuForm: {type: Boolean, default: false},
    formMessage: {type: Array}

  },
  data() {
    return {
      isOpen: this.open,
      isMob: window.innerWidth < 1023 ? true : false
    };
  },
  computed: {

  },
  created() {},
  mounted() { },
  updated() {},
  methods: {
    toggleOpen() {
      this.isOpen = !this.isOpen;
      this.$emit("update:open", this.isOpen);
      noScroll(this.isOpen)
    },
  },
};
</script>
